Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.addressing.soap
Interface SoapMonitor

All Known Subinterfaces:
  SoapClient

All Known Implementing Classes:
  AbstractResourceClient, SimpleSoapClient

public interface SoapMonitor

SoapMonitor is a supplemental interface for SOAP clients that wish to support TCP/SOAP monitoring without modifying server-side code. Services that use WS-Addressing for routing may find it hard to do SOAP monitoring because WS-A data is used for routing and resource identification (so changing a port number equates to changing an identifier).

Author:
  Dan Jemiolo (danj)

Method Summary
`int` | `getSoapMonitorPort()`
`boolean` | `isUsingSoapMonitor()`
`void` | `startSoapMonitor(int monitorPort)` Causes the SoapClient to send messages to the given port.
`void` | `stopSoapMonitor()` If SOAP monitoring was in use, the client will revert back to sending the messages to the port in the EPR's wsa:Address.

Method Detail

### getSoapMonitorPort

    public int getSoapMonitorPort()

  Returns:
    The port to which messages are being sent when TCP/SOAP monitoring is being used. When no monitoring is used (normal mode), this returns -1.

### isUsingSoapMonitor

    public boolean isUsingSoapMonitor()

  Returns:
    True if messages are being redirected to a SOAP monitor port.

### startSoapMonitor

    public void startSoapMonitor(int monitorPort)

  Causes the SoapClient to send messages to the given port. This does not change the port number in the WS-A EPR found in the SOAP headers. The receiver will have no idea it is taking part in SOAP monitoring. Only the original HTTP GET will have a different port.

  Parameters:
    `monitorPort` - A positive integer - 0 to 65535.

### stopSoapMonitor

    public void stopSoapMonitor()

  If SOAP monitoring was in use, the client will revert back to sending the messages to the port in the EPR's wsa:Address. If SOAP monitoring was not in use, the call is a no-op.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD